Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get support capture share

GET/support/capture/share/{sessionId}
Path parameters
sessionIdstringrequired
Responses
200

Public capture share (session-scoped, available before finalize)

sessionIdstringrequired
statusstringrequired
ticketIdstring | nullrequired
titlestring | nullrequired
viewCountnumberrequired
lastViewedAtstring | nullrequired
attachmentsobject[]required
Show properties
Array of object
typestringrequired
Allowed:screenshotvideodebugger_jsonlognetworkreplaytranscript
fileNamestring | null
contentTypestring
urlstring
sizenumber
404

Capture session not found

Try it
Server
Parameters
Request
curl -X GET 'https://pile.nyc/support/capture/share/string' \
  -H 'Accept: application/json'
Response
{
  "sessionId": "string",
  "status": "string",
  "ticketId": "string",
  "title": "string",
  "viewCount": 0,
  "lastViewedAt": "string",
  "attachments": [
    {
      "type": "screenshot",
      "fileName": "string",
      "contentType": "string",
      "url": "string",
      "size": 0
    }
  ]
}

Was this page helpful?